# (A) LOAD MODULES
import smtplib, pathlib, email, jinja2, datetime
 
# (B) EMAIL MESSAGE SETUP
mail = email.message.Message()
mail["Subject"] = "Demo"
mail.add_header("Content-Type","text/html")
template = jinja2.Template(pathlib.Path("M3A_template.html").read_text())
mail.set_payload(template.render({
  "name" : "Joy Doe",
  "time" : datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S")
}))
 
# (C) SEND!
smtp = smtplib.SMTP("localhost")
#smtp.starttls()
#smtp.login(USER, PASSWORD)
smtp.sendmail("from@site.com", ["to@site.com"], mail.as_string())
smtp.quit()