# (A) LOAD MODULES
import smtplib, pathlib, email, datetime

# (B) READ TEMPLATE & REPLACE VARIABLES
message = pathlib.Path("M1A_template.html").read_text()
message = message.replace("{name}", "Job Doe")
message = message.replace("{time}", datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S"))

# (C) EMAIL MESSAGE SETUP
mail = email.message.Message()
mail["Subject"] = "Demo"
mail.add_header("Content-Type","text/html")
mail.set_payload(message)

# (D) SEND!
smtp = smtplib.SMTP("localhost")
#smtp.starttls()
#smtp.login(USER, PASSWORD)
smtp.sendmail("from@site.com", ["to@site.com"], mail.as_string())
smtp.quit()